# $Revision: 1.24 $, $Date: 2012/01/28 18:06:10 $
Summary:	MPD client library
Summary(pl.UTF-8):	Biblioteka kliencka MPD
Name:		libmpd
Version:	11.8.17
Release:	1
License:	GPL v2+
Group:		Libraries
Source0:	http://download.sarine.nl/Programs/gmpc/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	5ae3d87467d52aef3345407adb0a2488
URL:		http://www.gmpclient.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	glib2-devel >= 1:2.16.0
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Library for Music Player Daemon client development.

%description -l pl.UTF-8
Biblioteka do tworzenia klientów demona MPD (Music Player Daemon).

%package devel
Summary:	Header files for the MPD client library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki klienckiej MPD
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.16.0

%description devel
Header files for MPD client library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki klienckiej MPD.

%package static
Summary:	Static MPD client library
Summary(pl.UTF-8):	Statyczna biblioteka kliencka MPD
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static MPD client library.

%description static -l pl.UTF-8
Statyczna biblioteka kliencka MPD.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmpd.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmpd.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmpd.so
%{_libdir}/libmpd.la
%{_includedir}/libmpd-1.0
%{_pkgconfigdir}/libmpd.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libmpd.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libmpd.spec,v $
Revision 1.24  2012/01/28 18:06:10  glen
- there's symlink

Revision 1.23  2012/01/28 18:03:19  glen
- up to 11.8.17 (new YY.MM.DD versioning scheme)

Revision 1.22  2010/06/24 11:40:46  lisu
- my mistake, resurected

Revision 1.21  2010/06/24 11:38:17  lisu
- obsoleted

Revision 1.20  2010/06/24 11:37:43  lisu
- up to final 0.20.0 (merge with DEVEL)
- libmpd-playlist.patch applied upstream
- adapterized

Revision 1.19.2.2  2010/04/06 12:04:47  lisu
- add -playlist.patch which fixes MPD_PLAYLIST_LOAD_FAILED problem

Revision 1.19.2.1  2010/04/06 11:54:15  lisu
- up to 0.19.96 (0.20.0 Beta 1)

Revision 1.19  2009/09/19 16:50:02  wiget
- updated to 0.19.0

Revision 1.18  2009/09/13 15:27:31  wiget
- updated to 0.18.100 (aka 0.19.0-rc1)

Revision 1.17  2009/08/08 22:56:18  aredridel
- 0.18.96

Revision 1.16  2009/03/28 17:02:58  wiget
- updated to 0.18.0

Revision 1.15  2009/01/24 15:59:03  megabajt
- changed License to GPL v2+
- more verbose files

Revision 1.14  2008/12/28 21:55:28  wiget
- updated to 0.17.0

Revision 1.13  2008/12/21 16:40:10  wiget
- updated to 0.16.96 aka 0.17.0-beta2
- switch to sourceforge for dl

Revision 1.12  2008/11/30 19:57:01  aredridel
- 0.16.95

Revision 1.11  2008/08/29 09:51:48  pluto
- BR: glib2-devel.

Revision 1.10  2008-02-04 08:47:47  czarny
- up to 0.15.0

Revision 1.9  2007-05-20 02:16:51  aredridel
- 0.14.0

Revision 1.8  2007/02/19 20:40:13  wiget
- updated to 0.13.0

Revision 1.7  2007/02/12 22:09:10  glen
- tabs in preamble

Revision 1.6  2007/02/12 01:06:46  baggins
- converted to UTF-8

Revision 1.5  2006/12/19 22:35:47  qboosh
- pl

Revision 1.4  2006/12/13 21:45:41  jajcus
- force distfiles dropin checkout

Revision 1.3  2006/12/13 21:11:09  jajcus
- CPPFLAGS set in wrog spec (no ncurses used here) ;-)

Revision 1.2  2006/12/13 21:05:41  jajcus
- Group: Libraries

Revision 1.1  2006/12/13 21:02:16  jajcus
- new spec
